package ar.edu.unju.fi.pruebasunitarias.Pruebas.Unitarias;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import ar.edu.unju.fi.pruebasunitarias.Pruebas.Unitarias.domain.Calculadora;

class CalculadoraTest {
	private Calculadora calculadora;
	
    @BeforeEach
    public void setUp() {
        calculadora = new Calculadora();
    }

    @Test
    public void testSumar() {
        int resultado = calculadora.sumar(3, 5);
        assertEquals(8, resultado);
    }
    @Test
    public void testSumarMixtos() {
        int resultado = calculadora.sumar(3, -5);
        assertEquals(-2, resultado);
    }
    @Test
    public void testSumarNegativos() {
        int resultado = calculadora.sumar(-3, -5);
        assertEquals(-8, resultado);
    }    
    @Test
    public void testRestar() {
        int resultado = calculadora.restar(10, 4);
        assertEquals(6, resultado);
    }

    @Test
    public void testMultiplicar() {
        int resultado = calculadora.multiplicar(2, 7);
        assertEquals(14, resultado);
    }

    @Test
    public void testDividir() {
        int resultado = calculadora.dividir(15, 3);
        assertEquals(5, resultado);
    }

    @Test
    public void testDividirPorCero() {
        assertThrows(ArithmeticException.class, () -> {
            calculadora.dividir(10, 0);
        });
    }

}
